//
//  VisonWifiBaseLibraryNoticeDefine.h
//  DeepSeaDemo
//
//  Created by Xu pan on 2021/1/11.
//

#ifndef VisonWifiBaseLibraryNoticeDefine_h
#define VisonWifiBaseLibraryNoticeDefine_h


/*
 暂不用，但保留
 这个需要app定位是发送此通知并传值手机的当前定位 CLLocation 对象给SDK，
 用于WIFI板的相关初始化
 **/
#define LOCATION_NOTI_NAME      @"LOCATIONNOTICE"

/*
 重连wifi（连接上的wifi和上一次的一样视为重连）
 通知回调已连接的SSID
 **/
//#define WIFI_NOTICE_RECONNECTED         @"wifi_reconnected"

/*
 已识别到是纬盛wifi
 通知回调SSID
 **/
//#define WIFI_NOTICE_VISON_IDENTIFIED    @"wifi_vison_identified"





#pragma mark - WIFINOCICE
/*
 已连接上wifi（不确定为纬盛wifi）
 通知回调已连接SSID
 **/
#define WIFI_NOTICE_CONNECTED           @"wifi_connected"

/*
 断开wifi
 通知回调已断开的SSID
 **/
#define WIFI_NOTICE_DISCONNECT          @"wifi_disconnect"



/*
 wifi信号质量
 通知回调信号值
 **/
#define WIFI_NOTICE_QUALITY             @"wifi_quality"





#pragma mark - SOCKETNOCICE
/*
 tcp接收数据通知
 通知回调Socket的NSData
 **/
#define SOCKET_NOTICE_TCP_RECEIVE       @"socket_tcp_receive"

/*
 udp接收数据通知
 通知回调Socket的NSData
 **/
#define SOCKET_NOTICE_UDP_RECEIVE       @"socket_udp_receive"

/*
 udp接收数据通知(UDP进行协议通信的方式)
 通知回调Socket的NSData
 **/
#define SOCKET_NOTICE_UDP_COMMUNICATION_RECEIVE       @"socket_udp_communication_receive"

/*
 取流前相关初始化已完成，可以开始取流播放
 **/
#define SOCKET_NOTICE_READYTOPLAY       @"readyToPlay"

/*
 重命名ssid OK
 **/
#define SOCKET_RENAMESSIDOK      @"reNameSSIDOk"




#endif /* VisonWifiBaseLibraryNoticeDefine_h */
